Apache JMeter

## org.apache.jmeter.gui.action
Class AddToTree

    java.lang.Object
      org.apache.jmeter.gui.action.AddToTree

All Implemented Interfaces:
  Command

    public class AddToTree

extends Object
implements Command

Constructor Summary
`AddToTree()`

Method Summary
`void` `doAction(ActionEvent e)` Adds the specified class to the current node of the tree.
`Set<String>` `getActionNames()` Gets the Set of actions this Command class responds to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddToTree

    public AddToTree()

Method Detail

### getActionNames

    public Set<String> getActionNames()

  Gets the Set of actions this Command class responds to.

  Specified by:
    `getActionNames` in interface `Command`
  Returns:
    the ActionNames value

### doAction

    public void doAction(ActionEvent e)

  Adds the specified class to the current node of the tree.

  Specified by:
    `doAction` in interface `Command`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.